<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_559824e0ac2e0" . "f7e96c810473f7" . "8f5fe" => base64_decode("L25ld3" . "Mv"), "_4fabdeae28" . "e3ef4591a36" . "a28a346dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0" . "ZV91cmwubmV3cw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4fabdeae28" . "e3ef4591a36" . "a28a346dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_559824e0ac2e0f7e96c810473f78f5" . "fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}